' ==================== TexOut.bas ====================
'
'	This program runs on the Tex stripboard at 4MHz.
' It monitors the output of a PIR module and transmits
' the appropriate infrain2 code whenever it changes.

' === Variables ===
	symbol newState  = bit0	' 1 = motion; 0 = no motion
	symbol oldState	 = bit1	' 1 = motion; 0 = no motion
	symbol PIRoutput = pin3	' 1 = motion; 0 = no motion
		
' === Directives ===
	#com 3									' specify com port
	#picaxe 08M							' specify processor
	#terminal off						' disable terminal window
	
' ================= Begin Main Program ===============

disablebod											' conserve power

do

	newState = PIRoutput					' get new state
	
	if newState <> oldState then	' if there is a change
		infraout 1, newState				' 	transmit it
		oldState  = newState				' 	& update old state
	endif
	
	nap 4							' slow down by napping for 288mS,
										' which also concerves power
loop