' ==================== TexSlow.bas ===================
'
'	This program runs on the Tex stripboard at 4MHz.
' It monitors the output of a PIR module and transmits
' the appropriate infrain2 code whenever it changes.
'
' The program also slows the 08M down to 31kHz
' whenever possible in order to conserve power.

' === Variables ===
	symbol newState  = bit0	' 1 = motion; 0 = no motion
	symbol oldState	 = bit1	' 1 = motion; 0 = no motion
	symbol PIRoutput = pin3	' 1 = motion; 0 = no motion
		
' === Directives ===
	#com 3									' specify com port
	#picaxe 08M							' specify processor
	#terminal off						' disable terminal window
	
' ================ Begin Main Program ====+===========

poke $8F, %00000000	' slow to 31kHz to conserve power
disablebod					' conserve a little more power

do

	newState = PIRoutput					' get new state
	
	if newState <> oldState then	' if there's a change
		setfreq m4									'	speed up
		infraout 1, newState				' transmit it
		poke $8F, %00000000					'	slow down again
		oldState  = newState				' & update old state
	endif
	
loop